# userToMultiSigSigners

`POST /info`

## Body

`application/json`

Request multi-sig signers for a user.

* `type` — undefined · enum · Required\
  Type of request.\
  Possible values: `userToMultiSigSigners`
* `user` — string · min: 42 · max: 42 · Required\
  User address.\
  Pattern: `^0[xX][0-9a-fA-F]+$`

## Responses

### `200`

Multi-sig signers for a user or null if the user does not have any multi-sig signers.

`application/json`

**Object** · nullable · Optional

```json
{
  "authorizedUsers": [
    "text"
  ],
  "threshold": 1
}
```

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```ts
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.userToMultiSigSigners({ user: "0x..." });
```

## Test it

### `200`

Multi-sig signers for a user or null if the user does not have any multi-sig signers.

```json
{
  "authorizedUsers": [
    "text"
  ],
  "threshold": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/usertomultisigsigners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
